## org.openni
Class CropArea

    java.lang.Object
      org.openni.CropArea

    public class CropArea

extends java.lang.Object

The CropArea object encapsulate cropping information data

Constructor Summary
`CropArea(int originX, int originY, int width, int height)` The CropArea constructor

Method Summary
`int` `getHeight()` Return height cropping value
`int` `getOriginX()` Return X cropping coordinate
`int` `getOriginY()` Return Y cropping coordinate
`int` `getWidth()` Return width cropping value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CropArea

    public CropArea(int originX,
                    int originY,
                    int width,
                    int height)

  The CropArea constructor

  Parameters:
    `originX` - X coordinate for the cropping
    `originY` - Y coordinate for the cropping
    `width` - width cropping value
    `height` - height cropping value

Method Detail

### getOriginX

    public int getOriginX()

  Return X cropping coordinate

  Returns:
    X cropping coordinate

### getOriginY

    public int getOriginY()

  Return Y cropping coordinate

  Returns:
    Y cropping coordinate

### getWidth

    public int getWidth()

  Return width cropping value

  Returns:
    width cropping value

### getHeight

    public int getHeight()

  Return height cropping value

  Returns:
    height cropping value